Maven can't find ignite-hibernate-1.5.0.final

classic Classic list List threaded Threaded
3 messages Options
ccanning ccanning
Reply | Threaded
Open this post in threaded view
|

Maven can't find ignite-hibernate-1.5.0.final

Which maven repo are you using for the modules?

 http://repo.maven.apache.org/maven2 does not have the artifact (only contains 1.2.x).

from my pom.xml

<ignite.version>1.5.0.final</ignite.version>

<dependency>
                <groupId>org.apache.ignite</groupId>
                <artifactId>ignite-hibernate</artifactId>
                <version>${ignite.version}</version>
</dependency>
vkulichenko vkulichenko
Reply | Threaded
Open this post in threaded view
|

Re: Maven can't find ignite-hibernate-1.5.0.final

Hibernate and other modules that depend on LGPL libraries are not deployed in Maven due to licensing issues. You can download binary build [1], find required modules in 'libs' folder and add them to your project manually.

[1] https://ignite.apache.org/download.cgi#binaries

-Val
dsetrakyan dsetrakyan
Reply | Threaded
Open this post in threaded view
|

Re: Maven can't find ignite-hibernate-1.5.0.final

Valya, any chance to host them in the GridGain Maven Repo? This way it would be outside of Apache, but would still be available to Ignite users.

On Wed, Apr 20, 2016 at 12:27 PM, vkulichenko <[hidden email]> wrote:
Hibernate and other modules that depend on LGPL libraries are not deployed in
Maven due to licensing issues. You can download binary build [1], find
required modules in 'libs' folder and add them to your project manually.

[1] https://ignite.apache.org/download.cgi#binaries

-Val



--
View this message in context: http://apache-ignite-users.70518.x6.nabble.com/Maven-can-t-find-ignite-hibernate-1-5-0-final-tp4349p4390.html
Sent from the Apache Ignite Users mailing list archive at Nabble.com.